# Makefile.in generated by automake 1.15 from Makefile.am.
# lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile for rpm library.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/rpm
pkgincludedir = $(includedir)/rpm
pkglibdir = $(libdir)/rpm
pkglibexecdir = $(libexecdir)/rpm
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv6--netbsdelf-eabihf
host_triplet = armv6--netbsdelf-eabihf
check_PROGRAMS =
EXTRA_PROGRAMS =
#am__append_1 = rpmsignfiles.c rpmsignfiles.h
#am__append_2 = 
#am__append_3 = 
#am__append_4 = rpmliblua.c rpmliblua.h
#am__append_5 = $(libdb_la)
am__append_6 = -ldb
#am__append_7 = \
#	backend/ndb/glue.c \
#	backend/ndb/rpmpkg.c \
#	backend/ndb/rpmpkg.h \
#	backend/ndb/rpmidx.c \
#	backend/ndb/rpmidx.h \
#	backend/ndb/rpmxdb.c \
#	backend/ndb/rpmxdb.h

#am__append_8 = $(libdb_la)
#rpmlibexec_PROGRAMS = rpmdb_dump$(EXEEXT) \
#	rpmdb_load$(EXEEXT) \
#	rpmdb_recover$(EXEEXT) \
#	rpmdb_stat$(EXEEXT) \
#	rpmdb_upgrade$(EXEEXT) \
#	rpmdb_verify$(EXEEXT)
subdir = lib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(usrlibdir)" \
	"$(DESTDIR)$(rpmlibexecdir)"
LTLIBRARIES = $(usrlib_LTLIBRARIES)
am__DEPENDENCIES_1 =
librpm_la_DEPENDENCIES = $(top_builddir)/rpmio/librpmio.la \
	$(am__DEPENDENCIES_1) $(am__append_5) $(am__DEPENDENCIES_1)
am__librpm_la_SOURCES_DIST = backend/db3.c backend/dbi.c backend/dbi.h \
	backend/dbiset.c backend/dbiset.h headerutil.c header.c \
	headerfmt.c header_internal.h rpmdb.c rpmdb_internal.h \
	fprint.c fprint.h tagname.c rpmtd.c cpio.c cpio.h depends.c \
	order.c formats.c tagexts.c fsm.c fsm.h manifest.c manifest.h \
	package.c poptALL.c poptI.c poptQV.c psm.c query.c rpmal.c \
	rpmal.h rpmchecksig.c rpmds.c rpmds_internal.h rpmfi.c \
	rpmfi_internal.h rpmgi.h rpmgi.c rpminstall.c rpmts_internal.h \
	rpmlead.c rpmlead.h rpmps.c rpmprob.c rpmrc.c rpmte.c \
	rpmte_internal.h rpmts.c rpmfs.h rpmfs.c rpmvercmp.c \
	signature.c signature.h transaction.c verify.c rpmlock.c \
	rpmlock.h misc.h relocation.c rpmscript.h rpmscript.c legacy.c \
	rpmchroot.c rpmchroot.h rpmplugins.c rpmplugins.h rpmplugin.h \
	rpmug.c rpmug.h rpmtriggers.h rpmtriggers.c rpmsignfiles.c \
	rpmsignfiles.h rpmliblua.c rpmliblua.h backend/ndb/glue.c \
	backend/ndb/rpmpkg.c backend/ndb/rpmpkg.h backend/ndb/rpmidx.c \
	backend/ndb/rpmidx.h backend/ndb/rpmxdb.c backend/ndb/rpmxdb.h
am__dirstamp = $(am__leading_dot)dirstamp
#am__objects_1 = rpmsignfiles.lo
#am__objects_2 = rpmliblua.lo
#am__objects_3 = backend/ndb/glue.lo backend/ndb/rpmpkg.lo \
#	backend/ndb/rpmidx.lo backend/ndb/rpmxdb.lo
am_librpm_la_OBJECTS = backend/db3.lo backend/dbi.lo backend/dbiset.lo \
	headerutil.lo header.lo headerfmt.lo rpmdb.lo fprint.lo \
	tagname.lo rpmtd.lo cpio.lo depends.lo order.lo formats.lo \
	tagexts.lo fsm.lo manifest.lo package.lo poptALL.lo poptI.lo \
	poptQV.lo psm.lo query.lo rpmal.lo rpmchecksig.lo rpmds.lo \
	rpmfi.lo rpmgi.lo rpminstall.lo rpmlead.lo rpmps.lo rpmprob.lo \
	rpmrc.lo rpmte.lo rpmts.lo rpmfs.lo rpmvercmp.lo signature.lo \
	transaction.lo verify.lo rpmlock.lo relocation.lo rpmscript.lo \
	legacy.lo rpmchroot.lo rpmplugins.lo rpmug.lo rpmtriggers.lo \
	$(am__objects_1) $(am__objects_2) $(am__objects_3)
librpm_la_OBJECTS = $(am_librpm_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
librpm_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(librpm_la_LDFLAGS) $(LDFLAGS) -o $@
PROGRAMS = $(rpmlibexec_PROGRAMS)
am_rpmdb_dump_OBJECTS =
rpmdb_dump_OBJECTS = $(am_rpmdb_dump_OBJECTS)
#rpmdb_dump_DEPENDENCIES =  \
#	$(top_builddir)/db3/db_dump.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la
am_rpmdb_load_OBJECTS =
rpmdb_load_OBJECTS = $(am_rpmdb_load_OBJECTS)
#rpmdb_load_DEPENDENCIES =  \
#	$(top_builddir)/db3/db_load.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la
am_rpmdb_recover_OBJECTS =
rpmdb_recover_OBJECTS = $(am_rpmdb_recover_OBJECTS)
#rpmdb_recover_DEPENDENCIES =  \
#	$(top_builddir)/db3/db_recover.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la
am_rpmdb_stat_OBJECTS =
rpmdb_stat_OBJECTS = $(am_rpmdb_stat_OBJECTS)
#rpmdb_stat_DEPENDENCIES =  \
#	$(top_builddir)/db3/db_stat.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la
am_rpmdb_upgrade_OBJECTS =
rpmdb_upgrade_OBJECTS = $(am_rpmdb_upgrade_OBJECTS)
#rpmdb_upgrade_DEPENDENCIES =  \
#	$(top_builddir)/db3/db_upgrade.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la
am_rpmdb_verify_OBJECTS =
rpmdb_verify_OBJECTS = $(am_rpmdb_verify_OBJECTS)
#rpmdb_verify_DEPENDENCIES =  \
#	$(top_builddir)/db3/db_verify.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(librpm_la_SOURCES) $(rpmdb_dump_SOURCES) \
	$(rpmdb_load_SOURCES) $(rpmdb_recover_SOURCES) \
	$(rpmdb_stat_SOURCES) $(rpmdb_upgrade_SOURCES) \
	$(rpmdb_verify_SOURCES)
DIST_SOURCES = $(am__librpm_la_SOURCES_DIST) $(rpmdb_dump_SOURCES) \
	$(rpmdb_load_SOURCES) $(rpmdb_recover_SOURCES) \
	$(rpmdb_stat_SOURCES) $(rpmdb_upgrade_SOURCES) \
	$(rpmdb_verify_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
	$(top_srcdir)/mkinstalldirs $(top_srcdir)/rpm.am
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = ${SHELL} /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1/missing autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1/missing autoheader
AUTOM4TE = /tmp/pkgbuild/misc/rpm/work/.tools/bin/autom4te
AUTOMAKE = ${SHELL} /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1/missing automake-1.15
AWK = /usr/bin/awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include/db4 -I/usr/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include -fPIC -DPIC -D_REENTRANT -Wall -Wpointer-arith -Wmissing-prototypes -Wstrict-prototypes  -fno-strict-aliasing -Wempty-body
CPP = gcc -E
CPPFLAGS = -I/usr/pkg/include/db4 -I/usr/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include
CXX = c++
CXXCPP = cpp
CXXDEPMODE = depmode=none
CXXFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include/db4 -I/usr/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include
CYGPATH_W = echo
DBUS_CFLAGS = 
DBUS_LIBS = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN = no
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/egrep
EXEEXT = 
FGREP = /usr/bin/grep -F
FIXPERMS = a+rX,u+w,g-w,o-w
GMSGFMT = /tmp/pkgbuild/misc/rpm/work/.tools/bin/msgfmt
GMSGFMT_015 = /tmp/pkgbuild/misc/rpm/work/.tools/bin/msgfmt
GREP = /usr/bin/grep
HAVE_DOT = NO
HAVE_NSS_INITCONTEXT = 1
INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = /usr/lib/libintl.so
INTL_MACOSX_LIBS = 
LD = /tmp/pkgbuild/misc/rpm/work/.cwrapper/bin/ld
LDFLAGS = -pthread -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr
LIBICONV = 
LIBINTL = /usr/lib/libintl.so
LIBOBJS =  ${LIBOBJDIR}fnmatch$U.o
LIBS = -lpthread -lintl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = -L/usr/lib -lintl
LTLIBOBJS =  ${LIBOBJDIR}fnmatch$U.lo
LT_SYS_LIBRARY_PATH = 
LUA_CFLAGS = 
LUA_LIBS = 
MAKEINFO = /tmp/pkgbuild/misc/rpm/work/.tools/bin/makeinfo
MANIFEST_TOOL = :
MKDIR_P = .././install-sh -c -d
MSGFMT = /tmp/pkgbuild/misc/rpm/work/.tools/bin/msgfmt
MSGFMT_015 = /tmp/pkgbuild/misc/rpm/work/.tools/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = rpm
PACKAGE_BUGREPORT = rpm-maint@lists.rpm.org
PACKAGE_NAME = rpm
PACKAGE_STRING = rpm 4.13.0.1
PACKAGE_TARNAME = rpm
PACKAGE_URL = 
PACKAGE_VERSION = 4.13.0.1
PATH_SEPARATOR = :
PKG_CONFIG = /tmp/pkgbuild/misc/rpm/work/.tools/bin/pkg-config
PKG_CONFIG_LIBDIR = /tmp/pkgbuild/misc/rpm/work/.buildlink/lib/pkgconfig:/tmp/pkgbuild/misc/rpm/work/.buildlink/share/pkgconfig
PKG_CONFIG_PATH = 
POSUB = po
PYTHON = 
PYTHON_EXEC_PREFIX = 
PYTHON_PLATFORM = 
PYTHON_PREFIX = 
PYTHON_VERSION = 
RANLIB = ranlib
RPMCANONGNU = -gnu
RPMCANONOS = netbsdelf-eabihf
RPMCANONVENDOR = pkgsrc
RPMCONFIGDIR = /usr/pkg/lib/rpm
RUNDIR = /run
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 4.13.0.1
WITH_ACL_LIB = 
WITH_ARCHIVE_INCLUDE = 
WITH_ARCHIVE_LIB = -larchive
WITH_BEECRYPT_INCLUDE = 
WITH_BEECRYPT_LIB = 
WITH_BZ2_LIB = -lbz2
WITH_CAP_LIB = 
WITH_DB_LIB = -ldb
WITH_LIBELF_LIB = 
WITH_LZMA_LIB = -llzma
WITH_MAGIC_INCLUDE = 
WITH_MAGIC_LIB = -lmagic
WITH_NSS_INCLUDE = 
WITH_NSS_LIB = -lnss3
WITH_POPT_INCLUDE = 
WITH_POPT_LIB = -lpopt
WITH_PYTHON_INCLUDE = 
WITH_PYTHON_LIB = 
WITH_SELINUX_LIB = 
WITH_SEMANAGE_LIB = 
WITH_ZLIB_INCLUDE = 
WITH_ZLIB_LIB = -lz
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
YACC = yacc
YFLAGS = 
__7ZIP = /usr/bin/7za
__BZIP2 = /usr/bin/bzip2
__BZR = /usr/bin/bzr
__CAT = /bin/cat
__CC = gcc
__CHGRP = /bin/chgrp
__CHMOD = /bin/chmod
__CHOWN = /sbin/chown
__CP = /bin/cp
__CPIO = /bin/cpio
__CURL = /usr/bin/curl
__FAKECHROOT = no
__FILE = /usr/bin/file
__GIT = /usr/bin/git
__GPG = /usr/bin/gpg
__GREP = /usr/bin/grep
__GZIP = /usr/bin/gzip
__HG = /usr/bin/hg
__ID = /usr/bin/id
__INSTALL = /usr/bin/install
__LD = /usr/bin/ld
__LRZIP = /usr/bin/lrzip
__LZIP = /usr/bin/lzip
__MAKE = /usr/bin/make
__MKDIR = /bin/mkdir
__MKDIR_P = /usr/pkg/lib/rpm/mkinstalldirs
__MV = /bin/mv
__NM = /usr/bin/nm
__OBJCOPY = /usr/bin/objcopy
__OBJDUMP = /usr/bin/objdump
__PATCH = /usr/bin/patch
__PERL = /usr/bin/perl
__PGP = /usr/bin/pgp
__PYTHON = /usr/bin/python
__QUILT = /usr/bin/quilt
__RESTORECON = /sbin/restorecon
__RM = /bin/rm
__RSH = /usr/bin/rsh
__SED = /usr/bin/sed
__SEMODULE = /usr/bin/semodule
__SSH = /usr/bin/ssh
__STRIP = /usr/bin/strip
__TAR = /bin/tar
__UNZIP = /usr/bin/unzip
__XZ = /usr/bin/xz
abs_builddir = /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1/lib
abs_srcdir = /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1/lib
abs_top_builddir = /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1
abs_top_srcdir = /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1
ac_ct_AR = ar
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = false
am__untar = false
bindir = ${exec_prefix}/bin
build = armv6--netbsdelf-eabihf
build_alias = armv6--netbsdelf-eabihf
build_cpu = armv6
build_os = netbsdelf-eabihf
build_vendor = 
builddir = .
datadir = /usr/pkg/share
datarootdir = ${prefix}/share
dirstamp = ${am__leading_dot}dirstamp
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = armv6--netbsdelf-eabihf
host_alias = armv6--netbsdelf-eabihf
host_cpu = armv6
host_os = netbsdelf-eabihf
host_vendor = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/pkgbuild/misc/rpm/work/rpm-4.13.0.1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = /usr/pkg/share/locale
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(top_builddir)/./install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = 
pkgpythondir = 
prefix = /usr/pkg
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = 
pythondir = 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

# Internal binaries
rpmlibexecdir = $(prefix)/lib/rpm

# Host independent config files
rpmconfigdir = $(prefix)/lib/rpm

# Libtool version (current-revision-age) for all our libraries
rpm_version_info = 7:1:0
AM_CPPFLAGS = -I$(top_builddir) -I$(top_srcdir) \
	-I$(top_builddir)/include/  \
	 -I$(top_srcdir)/misc \
	-DLOCALEDIR="\"$(localedir)\"" \
	-DSYSCONFDIR="\"$(sysconfdir)\"" \
	-DLOCALSTATEDIR="\"$(localstatedir)\"" \
	-DLIBRPMALIAS_FILENAME="\"rpmpopt-${VERSION}\"" \
	-DLIBRPMALIAS_EXECPATH="\"$(bindir)\"" $(am__append_2)
usrlibdir = $(libdir)
CLEANFILES = $(am__append_8) $(BUILT_SOURCES)
EXTRA_DIST = gentagtbl.sh tagtbl.C rpmhash.C rpmhash.H
usrlib_LTLIBRARIES = librpm.la
librpm_la_SOURCES = backend/db3.c backend/dbi.c backend/dbi.h \
	backend/dbiset.c backend/dbiset.h headerutil.c header.c \
	headerfmt.c header_internal.h rpmdb.c rpmdb_internal.h \
	fprint.c fprint.h tagname.c rpmtd.c cpio.c cpio.h depends.c \
	order.c formats.c tagexts.c fsm.c fsm.h manifest.c manifest.h \
	package.c poptALL.c poptI.c poptQV.c psm.c query.c rpmal.c \
	rpmal.h rpmchecksig.c rpmds.c rpmds_internal.h rpmfi.c \
	rpmfi_internal.h rpmgi.h rpmgi.c rpminstall.c rpmts_internal.h \
	rpmlead.c rpmlead.h rpmps.c rpmprob.c rpmrc.c rpmte.c \
	rpmte_internal.h rpmts.c rpmfs.h rpmfs.c rpmvercmp.c \
	signature.c signature.h transaction.c verify.c rpmlock.c \
	rpmlock.h misc.h relocation.c rpmscript.h rpmscript.c legacy.c \
	rpmchroot.c rpmchroot.h rpmplugins.c rpmplugins.h rpmplugin.h \
	rpmug.c rpmug.h rpmtriggers.h rpmtriggers.c $(am__append_1) \
	$(am__append_4) $(am__append_7)
librpm_la_LDFLAGS = -version-info $(rpm_version_info)
librpm_la_LIBADD = $(top_builddir)/rpmio/librpmio.la -lpopt \
	  /usr/lib/libintl.so $(am__append_3) \
	$(am__append_5) $(am__append_6)
BUILT_SOURCES = tagtbl.C

# XXX watchout, $(top_builddir)/db3/libdb.la created by this Makefile may surprise
#libdb_la = $(top_builddir)/db3/libdb.la

# XXX grrr, force noinst libdb.la for db3.
# there are more reliable ways to get the BDB version info, just a dirty
# hack for now...
#BDBVER = $(shell grep ^LIBVERSION $(top_builddir)/db3/Makefile|cut -f2)
#rpmdb_dump_SOURCES = 
#rpmdb_dump_LDADD = \
#	$(top_builddir)/db3/db_dump.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la

#rpmdb_load_SOURCES = 
#rpmdb_load_LDADD = \
#	$(top_builddir)/db3/db_load.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la

#rpmdb_recover_SOURCES = 
#rpmdb_recover_LDADD = \
#	$(top_builddir)/db3/db_recover.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la

#rpmdb_stat_SOURCES = 
#rpmdb_stat_LDADD = \
#	$(top_builddir)/db3/db_stat.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la

#rpmdb_upgrade_SOURCES = 
#rpmdb_upgrade_LDADD = \
#	$(top_builddir)/db3/db_upgrade.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la

#rpmdb_verify_SOURCES = 
#rpmdb_verify_LDADD = \
#	$(top_builddir)/db3/db_verify.o \
#	$(top_builddir)/db3/util_cache.o \
#	$(top_builddir)/db3/util_sig.o \
#	librpm.la

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/rpm.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign lib/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/rpm.am $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-usrlibLTLIBRARIES: $(usrlib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(usrlib_LTLIBRARIES)'; test -n "$(usrlibdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(usrlibdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(usrlibdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(usrlibdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(usrlibdir)"; \
	}

uninstall-usrlibLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(usrlib_LTLIBRARIES)'; test -n "$(usrlibdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(usrlibdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(usrlibdir)/$$f"; \
	done

clean-usrlibLTLIBRARIES:
	-test -z "$(usrlib_LTLIBRARIES)" || rm -f $(usrlib_LTLIBRARIES)
	@list='$(usrlib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}
backend/$(am__dirstamp):
	@$(MKDIR_P) backend
	@: > backend/$(am__dirstamp)
backend/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) backend/$(DEPDIR)
	@: > backend/$(DEPDIR)/$(am__dirstamp)
backend/db3.lo: backend/$(am__dirstamp) \
	backend/$(DEPDIR)/$(am__dirstamp)
backend/dbi.lo: backend/$(am__dirstamp) \
	backend/$(DEPDIR)/$(am__dirstamp)
backend/dbiset.lo: backend/$(am__dirstamp) \
	backend/$(DEPDIR)/$(am__dirstamp)
backend/ndb/$(am__dirstamp):
	@$(MKDIR_P) backend/ndb
	@: > backend/ndb/$(am__dirstamp)
backend/ndb/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) backend/ndb/$(DEPDIR)
	@: > backend/ndb/$(DEPDIR)/$(am__dirstamp)
backend/ndb/glue.lo: backend/ndb/$(am__dirstamp) \
	backend/ndb/$(DEPDIR)/$(am__dirstamp)
backend/ndb/rpmpkg.lo: backend/ndb/$(am__dirstamp) \
	backend/ndb/$(DEPDIR)/$(am__dirstamp)
backend/ndb/rpmidx.lo: backend/ndb/$(am__dirstamp) \
	backend/ndb/$(DEPDIR)/$(am__dirstamp)
backend/ndb/rpmxdb.lo: backend/ndb/$(am__dirstamp) \
	backend/ndb/$(DEPDIR)/$(am__dirstamp)

librpm.la: $(librpm_la_OBJECTS) $(librpm_la_DEPENDENCIES) $(EXTRA_librpm_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(librpm_la_LINK) -rpath $(usrlibdir) $(librpm_la_OBJECTS) $(librpm_la_LIBADD) $(LIBS)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
install-rpmlibexecPROGRAMS: $(rpmlibexec_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(rpmlibexec_PROGRAMS)'; test -n "$(rpmlibexecdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(rpmlibexecdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(rpmlibexecdir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(rpmlibexecdir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(rpmlibexecdir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-rpmlibexecPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(rpmlibexec_PROGRAMS)'; test -n "$(rpmlibexecdir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(rpmlibexecdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(rpmlibexecdir)" && rm -f $$files

clean-rpmlibexecPROGRAMS:
	@list='$(rpmlibexec_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

rpmdb_dump$(EXEEXT): $(rpmdb_dump_OBJECTS) $(rpmdb_dump_DEPENDENCIES) $(EXTRA_rpmdb_dump_DEPENDENCIES) 
	@rm -f rpmdb_dump$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rpmdb_dump_OBJECTS) $(rpmdb_dump_LDADD) $(LIBS)

rpmdb_load$(EXEEXT): $(rpmdb_load_OBJECTS) $(rpmdb_load_DEPENDENCIES) $(EXTRA_rpmdb_load_DEPENDENCIES) 
	@rm -f rpmdb_load$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rpmdb_load_OBJECTS) $(rpmdb_load_LDADD) $(LIBS)

rpmdb_recover$(EXEEXT): $(rpmdb_recover_OBJECTS) $(rpmdb_recover_DEPENDENCIES) $(EXTRA_rpmdb_recover_DEPENDENCIES) 
	@rm -f rpmdb_recover$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rpmdb_recover_OBJECTS) $(rpmdb_recover_LDADD) $(LIBS)

rpmdb_stat$(EXEEXT): $(rpmdb_stat_OBJECTS) $(rpmdb_stat_DEPENDENCIES) $(EXTRA_rpmdb_stat_DEPENDENCIES) 
	@rm -f rpmdb_stat$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rpmdb_stat_OBJECTS) $(rpmdb_stat_LDADD) $(LIBS)

rpmdb_upgrade$(EXEEXT): $(rpmdb_upgrade_OBJECTS) $(rpmdb_upgrade_DEPENDENCIES) $(EXTRA_rpmdb_upgrade_DEPENDENCIES) 
	@rm -f rpmdb_upgrade$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rpmdb_upgrade_OBJECTS) $(rpmdb_upgrade_LDADD) $(LIBS)

rpmdb_verify$(EXEEXT): $(rpmdb_verify_OBJECTS) $(rpmdb_verify_DEPENDENCIES) $(EXTRA_rpmdb_verify_DEPENDENCIES) 
	@rm -f rpmdb_verify$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(rpmdb_verify_OBJECTS) $(rpmdb_verify_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)
	-rm -f backend/*.$(OBJEXT)
	-rm -f backend/*.lo
	-rm -f backend/ndb/*.$(OBJEXT)
	-rm -f backend/ndb/*.lo

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/cpio.Plo
include ./$(DEPDIR)/depends.Plo
include ./$(DEPDIR)/formats.Plo
include ./$(DEPDIR)/fprint.Plo
include ./$(DEPDIR)/fsm.Plo
include ./$(DEPDIR)/header.Plo
include ./$(DEPDIR)/headerfmt.Plo
include ./$(DEPDIR)/headerutil.Plo
include ./$(DEPDIR)/legacy.Plo
include ./$(DEPDIR)/manifest.Plo
include ./$(DEPDIR)/order.Plo
include ./$(DEPDIR)/package.Plo
include ./$(DEPDIR)/poptALL.Plo
include ./$(DEPDIR)/poptI.Plo
include ./$(DEPDIR)/poptQV.Plo
include ./$(DEPDIR)/psm.Plo
include ./$(DEPDIR)/query.Plo
include ./$(DEPDIR)/relocation.Plo
include ./$(DEPDIR)/rpmal.Plo
include ./$(DEPDIR)/rpmchecksig.Plo
include ./$(DEPDIR)/rpmchroot.Plo
include ./$(DEPDIR)/rpmdb.Plo
include ./$(DEPDIR)/rpmds.Plo
include ./$(DEPDIR)/rpmfi.Plo
include ./$(DEPDIR)/rpmfs.Plo
include ./$(DEPDIR)/rpmgi.Plo
include ./$(DEPDIR)/rpminstall.Plo
include ./$(DEPDIR)/rpmlead.Plo
include ./$(DEPDIR)/rpmliblua.Plo
include ./$(DEPDIR)/rpmlock.Plo
include ./$(DEPDIR)/rpmplugins.Plo
include ./$(DEPDIR)/rpmprob.Plo
include ./$(DEPDIR)/rpmps.Plo
include ./$(DEPDIR)/rpmrc.Plo
include ./$(DEPDIR)/rpmscript.Plo
include ./$(DEPDIR)/rpmsignfiles.Plo
include ./$(DEPDIR)/rpmtd.Plo
include ./$(DEPDIR)/rpmte.Plo
include ./$(DEPDIR)/rpmtriggers.Plo
include ./$(DEPDIR)/rpmts.Plo
include ./$(DEPDIR)/rpmug.Plo
include ./$(DEPDIR)/rpmvercmp.Plo
include ./$(DEPDIR)/signature.Plo
include ./$(DEPDIR)/tagexts.Plo
include ./$(DEPDIR)/tagname.Plo
include ./$(DEPDIR)/transaction.Plo
include ./$(DEPDIR)/verify.Plo
include backend/$(DEPDIR)/db3.Plo
include backend/$(DEPDIR)/dbi.Plo
include backend/$(DEPDIR)/dbiset.Plo
include backend/ndb/$(DEPDIR)/glue.Plo
include backend/ndb/$(DEPDIR)/rpmidx.Plo
include backend/ndb/$(DEPDIR)/rpmpkg.Plo
include backend/ndb/$(DEPDIR)/rpmxdb.Plo

.c.o:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
	-rm -rf backend/.libs backend/_libs
	-rm -rf backend/ndb/.libs backend/ndb/_libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
installdirs:
	for dir in "$(DESTDIR)$(usrlibdir)" "$(DESTDIR)$(rpmlibexecdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-rm -f backend/$(DEPDIR)/$(am__dirstamp)
	-rm -f backend/$(am__dirstamp)
	-rm -f backend/ndb/$(DEPDIR)/$(am__dirstamp)
	-rm -f backend/ndb/$(am__dirstamp)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
	clean-rpmlibexecPROGRAMS clean-usrlibLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR) backend/$(DEPDIR) backend/ndb/$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-usrlibLTLIBRARIES

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-rpmlibexecPROGRAMS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR) backend/$(DEPDIR) backend/ndb/$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-rpmlibexecPROGRAMS uninstall-usrlibLTLIBRARIES

.MAKE: all check check-am install install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean \
	clean-checkPROGRAMS clean-generic clean-libtool \
	clean-rpmlibexecPROGRAMS clean-usrlibLTLIBRARIES cscopelist-am \
	ctags ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-rpmlibexecPROGRAMS \
	install-strip install-usrlibLTLIBRARIES installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am \
	uninstall-rpmlibexecPROGRAMS uninstall-usrlibLTLIBRARIES

.PRECIOUS: Makefile


tagtbl.C: Makefile.am $(srcdir)/rpmtag.h gentagtbl.sh
	@AWK=${AWK} ${SHELL} $(srcdir)/gentagtbl.sh \
		    	     $(srcdir)/rpmtag.h > $@.new && \
	 mv -f $@.new $@
#$(libdb_la): $(top_builddir)/db3/libdb-$(BDBVER).la
#	sed -e"/^libdir=/s/^.*$$/libdir=''/" \
#	  < $(top_builddir)/db3/libdb-$(BDBVER).la > $(libdb_la)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
